clang 10.0.0git

Public Attributes | List of all members
clang::MemberExprNameQualifier Struct Reference

Extra data stored in some MemberExpr objects. More...

`#include "clang/AST/Expr.h"`

Collaboration diagram for clang::MemberExprNameQualifier:
[legend]

## Public Attributes
NestedNameSpecifierLoc | QualifierLoc
| The nested-name-specifier that qualifies the name, including source-location information. More...
DeclAccessPair | FoundDecl
| The DeclAccessPair through which the MemberDecl was found due to name qualifiers. More...

## Detailed Description

Extra data stored in some MemberExpr objects.

Definition at line 2824 of file Expr.h.

## Member Data Documentation

## ◆ FoundDecl

DeclAccessPair clang::MemberExprNameQualifier::FoundDecl

The DeclAccessPair through which the MemberDecl was found due to name qualifiers.

Definition at line 2831 of file Expr.h.

## ◆ QualifierLoc

NestedNameSpecifierLoc clang::MemberExprNameQualifier::QualifierLoc

The nested-name-specifier that qualifies the name, including source-location information.

Definition at line 2827 of file Expr.h.

The documentation for this struct was generated from the following file:

- include/clang/AST/Expr.h